#Access to the UHF Concentrator console will be done on this port
server.port=9998

#####################################################################################
##              Connection to ABSSolute Application Server                         ##
#####################################################################################

#The hostname and rest port of the application server, separated by colon.
abs.server.uri=localhost:50117

#Defines if the connection to the ABSSolute Application Server should be done via 
#https instead of http
abs.server.ssl.enabled=false

#####################################################################################
##              SSL Certificate exposed by UHFConcentrator                         ##
#####################################################################################

# To enable HTTPS, change the following property from 'false' to 'true'.            #
# Make sure you have a certificate placed in folder 'config'!                       #
server.ssl.enabled=false

# The format used by the certificate keystore                                       #
# Possible values: PKCS12, JKS                                                      #
spring.ssl.bundle.jks.absbundle.keystore.type=PKCS12
                                                                                    #
# UHFC exposed certificate name. It must be placed in folder 'config'.              #
# It ends with '.jks' if in JKS format, it ends with '.p12' if in PKCS12 format etc.#
# Make sure the file name of the certificate is correct!                            #
spring.ssl.bundle.jks.absbundle.keystore.location=config/certificate.p12
                                                                                    #
# The password of the keystore containing the certificate                           #
# After the first run, this property will get encrypted                             #
spring.ssl.bundle.jks.absbundle.keystore.password=changeit
                                                                                    #
# Optional, only if the PKCS12 keystore has multiple aliases in it                  #
#spring.ssl.bundle.jks.absbundle.key.alias=abssolute laundry business solutions

#####################################################################################
##                               Actuator settings                                 ##
#####################################################################################

management.server.port=5098
management.endpoints.web.exposure.include=metrics,info,health,shutdown
management.endpoint.shutdown.enabled=true

#UHF Concentrator code. Must be an existing code from table UHFConcentrator from the ABSSolute database, otherwise no data will be displayed.
abs.concentrator.code=CON1

#System user login name. Must be a valid system user from ABSSolute.
#Required for authentication by communication via REST web services with ABSSolute servers.
#System user must have a NON-EMPTY password!
abs.sysuser.username=ABSADM

#System user password. Will be encrypted by the application at startup.
abs.sysuser.password=

#Display language of this application's administrator console. Supported languages are: English, French, German, Italian, Spanish, Dutch
#Possible values: EN, FR, DE, IT, ES, NL
#Default value: EN
abs.language=EN

#HTTP read and connect timeout for application server  calls (in seconds). This is the time that our application waits for a response when sending a request 
#to the application server. If this time passes and no response is given, it will consider that the application server is not reachable and will throw an error.
#Default value: 20
abs.request.timeout=20

#Determine whether the lights of the GPIO connected to the UHF readers will signal the UHF Concentrator status or not.
#Possible values: Y, N
#Default value: Y
abs.lights.enabled=Y

#Determine whether the status of the reader's antennas should be checked via a SSH connection (every minute)
#When the UHFConcentrator detects the antenna changed its status, it will display a message in the logs
#Default value: N (too many SSH connections might cause the ports to get exhausted quickly)
abs.antenna.status.checker.enabled=N

#Determine the amount of time the UHFConcentrator initiates a SSH connection to the reader to retrieve the UptimeSeconds information from its operating system
#This information is useful when the reader is disconnected from the network, to determine whether is was rebooted or connectivity was lost, to retrieve tags scanned while it was offline
#Default value: 60 (seconds)
abs.uptime.seconds.checker.period=60

#Determine the amount of time the UHfConcentrator will create a new batch and will discard rescanned tags (remaining in front of the antenna)
#Default value: 1800 (seconds)
abs.batch.creation.period=1800

#DO NOT CHANGE ANYTHING BELOW!!!
#==========================================================================#
server.error.whitelabel.enabled=false
spring.messages.basename=resources
spring.messages.fallback-to-system-locale=false
spring.mvc.format.date=yyyy-MM-dd
logging.pattern.console=%d{yyyy-MM-dd HH:mm:ss.SSS} %5p --- [%25.25t] %-50.50C : %m%n
spring.main.allow-circular-references=true
# Define the SSL bundle name to be used by the server. This name helps identify the SSL configuration below. Do not change it!
server.ssl.bundle=absbundle
# Enable reloading of the keystore when it is updated.
# Setting this to true allows the application to automatically pick up changes to the keystore without needing a restart.
spring.ssl.bundle.jks.absbundle.reload-on-update=true